path: /build/build/nvidia-kernel-open-modules-kernel-5.10-535.86.05+2.package.tar.zst
dependencies: []
compilespec:
  steps:
  - eval 'mkdir -p /etc/portage/patches/x11-drivers/nvidia-kernel-modules/ || true'
    && cp nvidia-drivers-gpl-pfn_valid.patch /etc/portage/patches/x11-drivers/nvidia-kernel-modules/
    && sed -i -e 's|versionator||g'  /var/git/meta-repo/kits/core-kit/eclass/nvidia-driver.eclass
  - rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-drivers/*.ebuild
    && rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-kernel-modules/*.ebuild
    && luet i -y nvidia-drivers && luet cleanup && USE="open-kernel" emerge -j ${JOBS}
    =x11-drivers/nvidia-kernel-modules-535.86.05 -pv -t
  - |
    USE="open-kernel" emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-535.86.05
  - |
    eval 'rm -rf /nvidia-kernel-open-modules || true' && mkdir /nvidia-kernel-open-modules && \
    luet-portage --dir /nvidia-kernel-open-modules x11-drivers/nvidia-kernel-modules
  - for i in /nvidia-kernel-open-modules/lib/modules/5.10.215-macaroni/video/*.ko
    ; do xz -z ${i} ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:140ba0c2af908e2273e6aca034ba19b1a17904f42f552fabf3e96f3a755743d2
  package:
    name: nvidia-kernel-open-modules
    version: 535.86.05+2
    category: kernel-5.10
    use_flags:
    - open-kernel
    requires:
    - name: kernel
      version: '>=0'
      category: seed-5.10
    annotations:
      kernel_module: true
    buildtimestamp: 2024-05-04 20:13:24.023508136 +0000 UTC m=+563.331740806
    labels:
      emerge.packages: x11-drivers/nvidia-kernel-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 5.10.215
      original.package.version: 535.86.05
    treedir: /build/packages
  package_dir: /nvidia-kernel-open-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/
  - ^/etc/modprobe.d/
  - ^/lib/udev/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 738302094c26635aa5712cda9ff222da5fcb0d3c9ff48353ba0b764d5224b450
compressiontype: zstd
files:
- lib/modules/5.10.215-macaroni/video/nvidia-drm.ko.xz
- lib/modules/5.10.215-macaroni/video/nvidia-modeset.ko.xz
- lib/modules/5.10.215-macaroni/video/nvidia-uvm.ko.xz
- lib/modules/5.10.215-macaroni/video/nvidia.ko.xz
package_cacheimage: ""
runtime:
  name: nvidia-kernel-open-modules
  version: 535.86.05+2
  category: kernel-5.10
  use_flags:
  - open-kernel
  requires:
  - name: nvidia-drivers-common
    version: '>=0'
    category: kernel
  conflicts:
  - name: nvidia-kernel-modules
    version: 535.86.05
    category: kernel-5.10
  annotations:
    kernel_module: true
  labels:
    emerge.packages: x11-drivers/nvidia-kernel-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 5.10.215
    original.package.version: 535.86.05
